ros-kinetic-object-recognition-tod (0.5.6-0jessie) jessie; urgency=high

  * fix OpenCV3 compilation
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Apr 2016 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.5.5-0jessie) jessie; urgency=high

  * Fix seg fault while detecting objects
    In many cases, matches[i] contains less than 5 elements (varies seemingly random between 0 and 4)
    Long history available [here](https://github.com/plasmodic/ecto_opencv/commit/2f2fe7fb75d09337c1d594cee416bd948f337b30#commitcomment-10687068)
  * Contributors: Jorge Santos Simón

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 18 Apr 2015 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.5.4-0jessie) jessie; urgency=high

  * fix radius search not support with LSH
  * remove useless code
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 14 Apr 2015 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.5.3-0jessie) jessie; urgency=high

  * use OpenCV and not opencv_candidate for LSH
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 30 Mar 2015 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.5.2-0jessie) jessie; urgency=high

  * add opencv_candidate as a dependency
    It is included but just transitively so it's better to have it
    directly
  * Revert "remove dependency on opencv_candidate"
    This reverts commit 3a515e48c815b9e0c7f6df20b730b98d0dccd5df.
    The RGBD module from opencv_candidate is indeed needed
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 29 Mar 2015 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.5.1-0jessie) jessie; urgency=high

  * remove dependency on opencv_candidate
  * clean extensions
  * remove useless build dependency
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Mar 2015 23:00:00 -0000

ros-kinetic-object-recognition-tod (0.5.0-0jessie) jessie; urgency=high

  * compile under Indigo
  * Merge pull request #6 <https://github.com/wg-perception/tod/issues/6> from awesomebytes/patch-2
    For some reason this is needed using openni
  * For some reason this is needed using openni
    This is just a workaround, the real problem is that the default values expect:
    ```[ INFO] [1395248076.002277778]: Subscribed to topic:/camera/rgb/camera_info with queue size of 1
    [ INFO] [1395248076.003073369]: Subscribed to topic:/camera/rgb/image_raw with queue size of 1
    [ INFO] [1395248076.003968179]: Subscribed to topic:/camera/depth_registered/camera_info with queue size of 1
    [ INFO] [1395248076.004994459]: Subscribed to topic:/camera/depth_registered/image_raw with queue size of 1
    ```
    Using openni2 this is not a problem as it's published by default but using openni those are not published, so this workarounds that.
  * Merge pull request #5 <https://github.com/wg-perception/tod/issues/5> from awesomebytes/patch-1
    Configuration that gives detections
  * Configuration that gives detections
    Tested with an Asus Xtion and 6 objects trained.
    The sink2 + adding to pipeline1 the output sink2 makes that /recognized_object_array has publications!
  * fix tests
  * add openni runtime dependency
  * fix the ROS config file to use ROS
  * drop Fuerte support
  * update url
  * udpate the docs
  * Merge pull request #3 <https://github.com/wg-perception/tod/issues/3> from destogl/ros_cell_config_correction
    Corrected cell cofing to work out-of-the-box with ROS.
  * Corrected cell cofing to work out of the box with ros.
    There was problem with wrong type and parameters cell is added.
  * fixes wg-perception/object_recognition_core#13 <https://github.com/wg-perception/object_recognition_core/issues/13>
  * Contributors: Denis Štogl, Sammy Pfeiffer, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Apr 2014 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.16-0jessie) jessie; urgency=high

  * use proper K_image/K_depth
  * update email address
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 28 May 2013 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.15-0jessie) jessie; urgency=high

  * fix display
  * fix the 3d point non-sense
  * comply to the new core API
  * finally convert the Trainer fully to C++
  * remove old split modules in favor of one cell
  * comply to the new DB API
  * implement moreof the pipeline
  * comply to the new headers in core
  * add a Trainer cell to replace the Python mess
  * make the cell contents be in a common library-like file
  * fix the pipeline
  * fix the invalid plasm
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 13 Apr 2013 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.14-0jessie) jessie; urgency=high

  * comply to the new DB API
  * fix a Sphinx warning
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Mar 2013 23:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.13-0jessie) jessie; urgency=high

  * comply to the tighter BlackBox API
  * comply to the API
  * fix a member that can be static
  * remove rst warning
  * build its own docs
  * get the training test to pass
  * rename the config files
  * clean the CMake
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Feb 2013 23:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.12-0jessie) jessie; urgency=high

  * comply to the new ORK API
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 16 Jan 2013 23:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.11-0jessie) jessie; urgency=high

  * use the new DB API
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Jan 2013 23:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.10-0jessie) jessie; urgency=high

  * use the new BlackBox API
  * comply to the new core API
  * clean CMake
  * fix the catkin buildtool_depend
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 03 Jan 2013 23:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.9-0jessie) jessie; urgency=high

  * add the Eigen dependency for Fuerte
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 18 Nov 2012 16:47:00 -0000

ros-kinetic-object-recognition-tod (0.4.8-0jessie) jessie; urgency=high

  * make the setup.py work under Fuerte
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 18 Nov 2012 16:26:00 -0000

ros-kinetic-object-recognition-tod (0.4.7-0jessie) jessie; urgency=high

  * Merge branch 'master' of github.com:wg-perception/tod
  * use catkin_pkg
  * fixed typos, package name changes, tendril connection issues and spore types
  * Contributors: Tommaso Cavallari, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 02 Nov 2012 23:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.6-0jessie) jessie; urgency=high

  * remove the copyright
  * use the new ecto_catkin interface
  * get the information from the package.xml
  * comply to the new API
  * remove electric support
  * add the missing Eigen dependency
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 31 Oct 2012 23:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.5-0jessie) jessie; urgency=high

  * fix some warnings
  * comply to the new API
  * comply to the new catkin API
  * depends are just messy
  * include EIgen properly
  * comply to the new API
  * fix the Groovy install
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 09 Oct 2012 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.4-0jessie) jessie; urgency=high

  * have code work with Electric/Fuerte/Groovy
  * add depth in case feature_descriptor needs it
  * use the FeatureDescriptor from ecto_opencv
  * use the new ectomodule API
  * remove G2O stuff as that should be done in capture
  * changed doc index heading
  * Contributors: David Gossow, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 07 Sep 2012 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.3-0jessie) jessie; urgency=high

  * fixed default tod configs + rst documentation
  * no more include folder to share
  * make the test be gtest
  * try a different for the gtest on Oneiric
  * Contributors: David Gossow, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 22 Aug 2012 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.2-0jessie) jessie; urgency=high

  * fix typo
  * add a linker instruction for Oneiric
  * use the new isValidDepth API
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 30 Jul 2012 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.1-0jessie) jessie; urgency=high

  * fix a bug in the sub-graph building to improve accuracy. Also add speedups
  * create the 3d points in the pipeline (new API)
  * small optimizations
  * merge sac_model and sac_model_registration_graph for speed
  * now that RANSAC is fat enough, use valgrind on the whole GuessGenerator
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 16 Jul 2012 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.4.0-0jessie) jessie; urgency=high

  * big optimization
  * use faster norm function
  * no need for the sample pool anymore as the indices_ are filtered before-hand in InvalidateIndices
  * add a check for ths size of the indices
  * add a check when no sample can be chosen
  * remove more useless members
  * merge files
  * free from PCL and API breakages
  * no need for templates anymore
  * use unsigned int for indices
  * make the clique test compile again
  * remove the useless conversion to a PointCloud
  * remove more useless members
  * remove more useless member functions and switch the transform computation to OpenCV
  * remove more useless members/headers
  * start using R and T for the model
  * remove a lot of useless members
  * get rid of the sac_model_registration
  * tweak parameters for ORB2 temporarily
  * bring back some PCL 1.1 headers as 1.5 has too many internal breakages ....
  * corrected an include guard
  * Contributors: Mac Mason, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 08 Jul 2012 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.3.1-0jessie) jessie; urgency=high

  * fix some install issues
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 06 Jun 2012 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.3.0-0jessie) jessie; urgency=high

  * use a stack.xml
  * output Rs and Ts for pose drawing
  * reenable the scheduler options to not crash
  * split the disparities out of the points
  * Merge branch 'master' of github.com:wg-perception/tod
  * comply to the new API
  * remove PCL from the public API
  * add a label for the kitchen doc
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 05 Jun 2012 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.2.7-0jessie) jessie; urgency=high

  * fix a glitch
  * fix the new DB APi
  * add Python linkage for Lucid
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 17 May 2012 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.2.6-0jessie) jessie; urgency=high

  * remove pcl_io_ros
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 May 2012 12:07:00 -0000

ros-kinetic-object-recognition-tod (0.2.5-0jessie) jessie; urgency=high

  * fix pcl_ros_io maybe ...
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 May 2012 11:46:00 -0000

ros-kinetic-object-recognition-tod (0.2.4-0jessie) jessie; urgency=high

  * clean pcl_ros_io dependency
  * write some docs a bit
  * no need to tune the scheduler here
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 May 2012 22:00:00 -0000

ros-kinetic-object-recognition-tod (0.2.3-0jessie) jessie; urgency=high

  * make sure all the tests pass
  * rename the stack to object_recognition_tod
  * remove useless import
  * work with the new stack name
  * rename the stack and fix the dependencies
  * start some docs
  * remove useless load_pybinding
  * use the new g2o
  * cleaner CMake
  * use catkin for python
  * Merge branch 'master' of github.com:wg-perception/tod
  * catkinize TOD
  * make sure the tests pass
  * use the new ecto_image_pipeline
  * clean the dependencies
  * rename ecto modules to be tod/ecto_*
  * improve the include folder
  * no need for the install script anymore
  * use the electric compatible way of finding PCL
  * simply the linkage
  * have the code be compliant with electric and fuerte, yay ...
  * use the db instead of the parameters
  * minor cleanup
  * comply to the new API
  * let catkin handle the version
  * simplify the PCL bug solution
  * rename object_recognition to object_recognition_core
  * Merge branch 'master' of github.com:wg-perception/tod
  * fix bad linkage with PCL
  * fix some bad numeric_limit understanding
  * disable the max clique test
  * comply to the new API
  * use the new Python hierarchy
  * link against the proper library
  * proper way of requesting for ROS components
  * make sure it works with catkin on fuerte
  * TOD now only compiles on fuerte and PCL 1.4
  * use the --help macro
  * comply to the new API
  * no more include in here
  * LshMatcher is now in ecto_opencv
  * move opencv_candidate to ecto_opencv
  * add the feature_viewer from object_recognition
  * make the tests much simpler
  * use the enw PoseResult API
  * add a .gitignore
  * little cleanup
  * fix bad imports
  * fix a bad matrix copy
  * fix the absence of apps folder
  * move TOD from object_recognition
  * first commit
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 30 Apr 2012 22:00:00 -0000


